DeveloperSide.NET Forums
July 13, 2020, 11:18:14 AM *
Welcome, Guest. Please login or register.

Login with username, password and session length
News:
 
   Home   Help Search Login Register  
Pages: [1]
  Print  
Author Topic: Web-Server Suite v1.14 Released, Dec 22 2004...  (Read 12850 times)
0 Members and 1 Guest are viewing this topic.
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« on: December 22, 2004, 07:00:06 AM »

DeveloperSide.NET Web-Server Suite v1.14

Standard and SSL-enabled builds are up on the 'Download' Page...
Quote

(built from source)

Apache 2.0.52
mod_ssl (OpenSSL 0.9.7e)
mod_deflate (zlib 1.1.4)
httpd.conf (optimized and minimized, setup for SSL, PHP, CGI, mod_deflate, mod_perl, Access Control)

OpenSSL 0.9.7e

Perl 5.8.6

mod_perl 1.99_18 (2.0.0-RC1)

MySQL related Perl Modules
DBI
DBD::mysql
Net::MySQL
DBD::mysqlPP

(binary install)

MySQL 4.0.23

PHP 4.3.10
   
phpMyAdmin 2.6.0-pl3 (Setup for multi-user environment; Relational Features enabled)
   
analog 5.32

Additional Perl Modules (over base)

Compress::Zlib 1.33
DBD::mysql 2.9004
DBD::mysqlPP 0.04
DBI 1.46
Devel::Symdump 2.03
FCGI 0.67
HTML::Parser 3.43
HTML::Tagset 3.03
HTML::Template 2.7
Net::MySQL 0.08
URI 1.35
Win32 0.191
libwww-perl 5.803
mod_perl 1.99_18


If anyone has any problems let me know.
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
balamm
Member
*
Posts: 2


View Profile WWW
« Reply #1 on: December 23, 2004, 02:56:14 AM »

Edited by Admin
-------------------------------------------------------------------------------------
I have enquired into this issue as much as possible at this time and have come to the conclusion that...
1 -- I cannot reproduce your problem.
2 -- Others cannot reproduce your problem.

Check further posts down for what I think might be causing this on your end (phpBB version 2.0.10 or below exploit worm that corrupts html files)
-------------------------------------------------------------------------------------
End of Edit

Problem!

All your files are corrupt
I've tried all but the ssl , which won't allow me access because of my server IP which is provided by a canadian ISP.
 The joys of living in a small border town and doing cross border business....

balamm
http://www.smileygenerator.us
Logged
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #2 on: December 23, 2004, 02:59:10 AM »

What problems are you having?

I can download, unpack, install all files just fine.

And we have had a few downloads since posting, no one is complaining.

None of the files are corrupt, unless your system or connection is corrupting them.

At least as far as I can tell from my end.

Please explain and maybe we can work this out.
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
Xbot
Member
*
Posts: 28


View Profile
« Reply #3 on: December 23, 2004, 03:03:02 AM »

Admin:   Do you have any plans of upgrading PHP to 5.0 and mySQL to 5.0?
Logged
balamm
Member
*
Posts: 2


View Profile WWW
« Reply #4 on: December 23, 2004, 03:09:44 AM »

the installer, the selfextracting.exe and the winrar

Code:

I:\www-1.14.rar: CRC failed in www\perl\html\pod\perlothrtut.html. The file is corrupt!
I:\www-1.14.rar: CRC failed in www\perl\html\pod\perlpacktut.html. The file is corrupt!
...
...
...
I:\www-1.14.rar: operation failed
Logged
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #5 on: December 23, 2004, 03:51:23 AM »

All the listed files that have a bad CRC are .html files.  Could be nothing, just a note.

Perhaps something is modifying your html files as they are extracted.  Are you running phpBB 2.0.10 or below by any chance?  Or had those versions installed at any time going back to Nov. 15 ? If so, chances are you have been infected with a recent worm that will do this.
(SMF might have this exploit too)

Are the files deleted automatically?  If not, or by any other means, could you extract and post the contents of one of the files in the list?

Quote

I:\www-1.14.rar: CRC failed in www\Apache2\manual\sections.html. The file is corrupt


Contents of the above file...
Quote

URI: sections.html.en
Content-Language: en
Content-type: text/html; charset=ISO-8859-1

URI: sections.html.ja.euc-jp
Content-Language: ja
Content-type: text/html; charset=EUC-JP

URI: sections.html.ko.euc-kr
Content-Language: ko
Content-type: text/html; charset=EUC-KR
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #6 on: December 23, 2004, 05:52:30 AM »

md5sums from the original files, on the dev box, that were uploaded to the Server...
Quote

d2d8de9b18f19f82824bdbc1179afd68  setup-1.14.exe

688c70410e4872dd2c949576aed5fc0d  www-1.14.exe

d271c9286572c2a41cac2815e02223c3  www-1.14.rar


md5sums taken on the Server...
Quote

d2d8de9b18f19f82824bdbc1179afd68  setup-1.14.exe

688c70410e4872dd2c949576aed5fc0d  www-1.14.exe

d271c9286572c2a41cac2815e02223c3  www-1.14.rar


md5sum for www-1.14.rar downloaded from the Server...
Quote

d271c9286572c2a41cac2815e02223c3  www-1.14.rar


I have unpacked and tested original files, and files downloaded from the Server.

This problem looks like it is on your end...
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #7 on: December 23, 2004, 07:13:18 AM »

Quote

Admin: Do you have any plans of upgrading PHP to 5.0 and mySQL to 5.0?


Not in the general package.

PHP 5.0 has a long way to go before being useful for general use -- lots of current scripts will not work on it.

MySQL 5.0?  v4.1 just came out of the development branch and into the production branch -- and all it did was crash our Server.

I hope to have several different packages of our Suite in the future.  One containing PHP5 and MySQL 4.1.
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
Jorge
Customer, Basic Support
Guru
*****
Posts: 544

jorge_schrauwen@msn.com
View Profile WWW
« Reply #8 on: December 23, 2004, 12:36:03 PM »

Quote from: "admin"
Quote

Admin: Do you have any plans of upgrading PHP to 5.0 and mySQL to 5.0?


Not in the general package.

PHP 5.0 has a long way to go before being useful for general use -- lots of current scripts will not work on it.

MySQL 5.0?  v4.1 just came out of the development branch and into the production branch -- and all it did was crash our Server.

I hope to have several different packages of our Suite in the future.  One containing PHP5 and MySQL 4.1.


Just tested it, works fine here(Can't try SSL, sinds i'm not in the US)

btw i want to install MySQL again, last version i had was 3.x.
But i just formatted so wich version should i take now?
Logged

admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #9 on: December 23, 2004, 12:51:59 PM »

Quote

btw i want to install MySQL again, last version i had was 3.x.
But i just formatted so wich version should i take now?


I would go for v4.0.23, but v4.1.8 should be fine too.  I had problems with it (v4.1.7) on Linux RedHat 3ES.  But the system has been kind of flakey anyways. On Windows it should work fine.
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
Xbot
Member
*
Posts: 28


View Profile
« Reply #10 on: December 23, 2004, 06:55:24 PM »

Admin:   Switching to PHP5 worked, however, I was unable to open PHP files. I assume it was just a problem with the php.ini. I'll mess with this later.

For now, I'm going to see if mySQL 4.1 will work with it.
Logged
admin
Administrator
Master of All Subjects
*****
Posts: 3272


View Profile WWW Email
« Reply #11 on: December 23, 2004, 06:58:55 PM »

All those versions will work with the Suite, as long as you configure them correctly.  The issue I have with those versions is they have problems and are unsupported with other software (outside the Suite).
Logged

DeveloperSide.NET
Advanced PHP and MySQL Solutions for your Web Design and Development needs with Web.Developer Server Suite.
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.9 | SMF © 2006-2009, Simple Machines LLC Valid XHTML 1.0! Valid CSS!